Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::ParameterDescription Class Reference
Plugins

Describes a parameter with a type, default value, whether or not is it mandatory and a help string describing what this parameter should be used for. More...

`#include <WithParameter.h>`

List of all members.

## Public Member Functions

- ParameterDescription ()
- ParameterDescription (const std::string &name, const std::string &type, const std::string &help, const std::string &defaultValue, bool mandatory, ParameterDirection direction)
- const std::string & getName () const
- const std::string & getTypeName () const
- const std::string & getHelp () const
- const std::string & getDefaultValue () const
- void setDefaultValue (const std::string &defVal)
- bool isMandatory ()
- ParameterDirection getDirection () const

## Detailed Description

Describes a parameter with a type, default value, whether or not is it mandatory and a help string describing what this parameter should be used for.

## Constructor & Destructor Documentation

tlp::ParameterDescription::ParameterDescription | ( |  | ) | `[inline]`

tlp::ParameterDescription::ParameterDescription | ( | const std::string & | name,
|  | const std::string & | type,
|  | const std::string & | help,
|  | const std::string & | defaultValue,
|  | bool | mandatory,
|  | ParameterDirection | direction
| ) |  | `[inline]`

## Member Function Documentation

const std::string& tlp::ParameterDescription::getDefaultValue | ( |  | ) | const`[inline]`

ParameterDirection tlp::ParameterDescription::getDirection | ( |  | ) | const`[inline]`

const std::string& tlp::ParameterDescription::getHelp | ( |  | ) | const`[inline]`

const std::string& tlp::ParameterDescription::getName | ( |  | ) | const`[inline]`

const std::string& tlp::ParameterDescription::getTypeName | ( |  | ) | const`[inline]`

bool tlp::ParameterDescription::isMandatory | ( |  | ) | `[inline]`

void tlp::ParameterDescription::setDefaultValue | ( | const std::string & | defVal | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012